<ion-view>
  <ion-nav-title class="noMargin" side="left">
    Alerts
  </ion-nav-title>
  <ion-content>
    <div class="paddingLR">
      <ion-list class="dataList alertsList">

        <!--<ion-item class="leftEnter">-->
        <!--<div class="leftCont">-->
        <!--<div class="camData">-->
        <!--<div class="personPic detect" style="background-image: url('img/detection.png')"></div>-->
        <!--<div class="personPic enroll" style="background-image: url('img/enrolled.png')"></div>-->
        <!--</div>-->
        <!--</div>-->
        <!--<div class="rightCont">-->
        <!--<div class="personData small">-->
        <!--<div class="name highlight">-->
        <!--<div class="">Bill</div>-->
        <!--<div class="detectPercent high">80%</div>-->

        <!--</div>-->
        <!--<div class="cam">-->
        <!--Cam 123-->
        <!--</div>-->
        <!--<div class="watch">-->
        <!--<span class="off">W:</span>-->
        <!--Watchlist 123-->
        <!--</div>-->
        <!--<div class="dateTime vSmall">Aug 29th 2017 23 12 Am </div>-->
        <!--</div>-->
        <!--</div>-->
        <!--</ion-item>-->


        <ion-item class="leftEnter" ng-repeat="notificationData in notificationRecords_facematch track by $index"
                  ng-click="selectAlert(notificationData)">
          <div class="leftCont">
            <div class="camData">
              <div class="personPic detect"
                   style="background-image: url('data:image/jpeg;base64,{{notificationData.appSpecificAlert.enrolledImage}}')"></div>
              <div class="personPic enroll"
                   style="background-image: url('data:image/jpeg;base64,{{notificationData.appSpecificAlert.detectedImage}}')"></div>
              <!--<div class="detectVal">{{matchPercentage(notificationData.appSpecificAlert.score)}}</div>-->
            </div>
          </div>
          <div class="rightCont">
            <div class="personData small">
              <div class="name highlight"></div>
              <div class="name highlight">
                <div class="nameTxt">{{notificationData.appSpecificAlert.person}}</div>
                <div class="detectPercent high">{{matchPercentage(notificationData.appSpecificAlert.score)}}</div>
              </div>
              <div class="cam">{{notificationData.sensorId ? (sensorLocationDetail ?
                               sensorLocationDetail[notificationData.sensorId].cameraName : '-') : '-'}}
              </div>
              <div class="watch">
                <span class="off">W:</span>
                {{watchlistDetailsObj[notificationData.appSpecificAlert.watchlistId].name}}
              </div>
              <div class="dateTime vSmall">{{watchlistAlertDateFormat(notificationData.timestamp)}}</div>
            </div>
          </div>
        </ion-item>
      </ion-list>
    </div>
  </ion-content>


  <!--.......... alert details popup data enabled.........-->
  <!--  <div class="popupBox alertDetailsPopup" ng-if="selectedAlertData">
      <div class="x">
        <img src="img/close.png" alt="">
      </div>
      <ion-content>
        <div class="paddingLR">
          <div class="personDetails dataList marginBtm">
            <div class="leftCont">
              <div class="detectVal mainNormal">{{matchPercentage(selectedAlertData.appSpecificAlert.score)}}</div>
            </div>
            <div class="rightCont">
              <div class="personData normal">
                <div class="name highlight">{{selectedAlertData.appSpecificAlert.person}}</div>
                <ul class="camWatch small divideData marginTopShort">
                  <li class="cam midBlock">{{selectedAlertData.sensorId ? (sensorLocationDetail ?
                    sensorLocationDetail[selectedAlertData.sensorId].cameraName : '-') : '-'}}</li>
                  <li class="watch midBlock">
                    <span class="off">W:</span>
                    {{watchlistDetailsObj[selectedAlertData.appSpecificAlert.watchlistId].name}}
                  </li>
                </ul>
                <div class="dateTime smallest marginTopShort greyColor"{{watchlistAlertDateFormat(notificationData.timestamp)}}</div>
              </div>
            </div>
          </div>

          <div class="detectionDetails marginBtmSml">
            <div class="personImgLarge enrollLarge">
              <div class="personPic detect"
                   style="background-image: url('data:image/jpeg;base64,{{selectedAlertData.appSpecificAlert.enrolledImage}}')" style="background-image: url('img/enrolled.png')"
              ></div>
            </div>
            <div class="personPic enroll"
                 style="background-image: url('data:image/jpeg;base64,{{selectedAlertData.appSpecificAlert.detectedImage}}')"
            ></div>
            <span class="clear"></span>
          </div>

          <div class="videoImg marginBtmSml">
            <img src="img/videoImg.jpg" alt="">
          </div>
          <div class="highlight roboLight small">Reference image from the video</div>
        </div>-->


  <!--.......... alert details popup .........-->
  <div class="popupBox alertDetailsPopup">
    <div class="x">
      <img src="img/close.png" alt="">
    </div>
    <ion-content>
      <div class="paddingLR">
        <div class="personDetails dataList marginBtm">
          <div class="leftCont">
            <div class="detectVal mainNormal">{{matchPercentage(selectedAlertData.appSpecificAlert.score)}}</div>
          </div>
          <div class="rightCont">
            <div class="personData normal">
              <div class="name highlight">{{selectedAlertData.appSpecificAlert.person}}</div>
              <div class="camWatch small divideData marginTopShort">{{selectedAlertData.sensorId ? (sensorLocationDetail
                                                                    ?
                                                                    sensorLocationDetail[selectedAlertData.sensorId].cameraName
                                                                    : '-') : '-'}}
              </div>
              <div class="camWatch small divideData marginTopShort">
                <span class="off">W:</span>
                {{watchlistDetailsObj[selectedAlertData.appSpecificAlert.watchlistId].name}}
              </div>
              <div class="dateTime smallest marginTopShort greyColor">
                {{watchlistAlertDateFormat(selectedAlertData.timestamp)}}
              </div>
            </div>
          </div>
        </div>

        <div class="detectionDetails marginBtmSml">
          <div class="personImgLarge enrollLarge">
            <img ng-src="data:image/jpeg;base64,{{selectedAlertData.appSpecificAlert.enrolledImage}}" alt="">
          </div>
          <div class="personImgLarge detectLarge">
            <img ng-src="data:image/jpeg;base64,{{selectedAlertData.appSpecificAlert.detectedImage}}" alt="">
          </div>
          <span class="clear"></span>
        </div>

        <div class="videoImg marginBtmSml">
          <img ng-src="data:image/jpeg;base64,{{selectedAlertData.appSpecificAlert.contextImage}}" alt="">
        </div>

        <div class="highlight roboLight small">Reference image from the video</div>

      </div>
    </ion-content>
  </div>
</ion-view>
